FROM python:3.10

WORKDIR /code
RUN apt-get --quiet update && apt-get --quiet --yes install netcat
RUN wget --quiet --output-document=/usr/bin/wait-for \
    https://raw.githubusercontent.com/eficode/wait-for/v2.2.0/wait-for \
    && chmod 755 /usr/bin/wait-for
RUN pip install fastapi "uvicorn[standard]" python-multipart requests motor celery redis \
    httpx black pytest pytest-cov pytest-asyncio pylint
EXPOSE 8000

CMD make .up